__INODE_PERMISSION(9)

NAME
__inode_permission - Check for access rights to a given inode

SYNOPSIS

int __inode_permission(struct inode * inode, int mask);

ARGUMENTS

inode
    Inode to check permission on

mask
    Right to check for (MAY_READ, MAY_WRITE, MAY_EXEC)

DESCRIPTION

Check for read/write/execute permissions on an inode.

When checking for MAY_APPEND, MAY_WRITE must also be set in mask.

This does not check for a read-only file system. You probably want inode_permission.

COPYRIGHT